Subject: Re: DLL vs. shared object linking behavior
From: Larry Hall <[email-masked]>
To: Jani Tiainen <[email-masked]>, Karl Robillard <[email-masked]>
Cc: [email-masked]
Date: Sun, 04 Jan 2004 14:07:24 -0500

At 06:19 AM 1/4/2004, Jani Tiainen you wrote:
>Karl Robillard wrote:
>
>>I have a shared library which has undefined references to functions.  On Linux I can build and use the library without problems, but when I build it as a DLL using Cygwin the undefined references are link errors.  Can the Windows loader handle unresolved symbols in DLLs at runtime?  Is there some magic compiler option I can use to allow this?
>
>Well I've been struggling with same things.
>
>Problem is that windows doesn't allow direct undefined references in DLL's. So you have to do some magic.
>
>Look reply chain titled "DLL and external symbols", there is some information that got me through.

Right.  You essentially need to create a "stub" library to link against,
typically called an import/export library.  You can probably find some 
references for this in the Cygwin list archives, as Jani suggested, but 
this is really just pure Windows "stuff".  As such, discussion is really 
off-topic for this list.  I'd recommend the MSDN and/or gcc sites as good 
options for detailed information on this subject, if you need it.

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/